Get rules

GET
/api/v1/conditions/{id}/rules

Get the rules associated with a specific condition with pagination, filtering and sorting.

Authorization

auth ApiKey
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

X-API-KEY<token>

Internal API key for admin endpoints. Example: "X-API-KEY: {key}"

In: header

Path Parameters

id*string

The ID of the condition.

Formatuuid

Query Parameters

sort_by?string

Sort by field name (optional). Available fields: "Name", "Value", "QlikAppName"

name?string

Rule name used for filtering. Supports operators: equal (default), contains, startswith, endswith

page?integer

Page number (1-based). Default is 1.

Formatint32
Range1 <= value <= 2147483647
page_size?integer

Number of items per page. Default is 10. Maximum is 50.

Formatint32
Range1 <= value <= 50
sort_direction?string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/conditions/497f6eca-6276-4993-bfeb-53cbbbba6f08/rules"
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "qlikAppId": "c8e142ed-5c22-4064-87da-aac893bd9e5b",      "qAppId": "string",      "qlikAppName": "string",      "values": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "type": "string",          "variable": "string",          "variableId": "eae575ee-abaf-4fe6-839b-c9f504c6a4a0",          "comparisonValue": "string",          "comparisonValueId": "7f80c46d-1489-423d-9fff-3754185013ee",          "chart": "string",          "chartId": "54f93a91-b046-4439-9ec5-17949db5a60d",          "chartHasValue": true,          "operator": "string",          "order": 0        }      ]    }  ],  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}